Bug 10178 - PAC parsing failure
PAC parsing failure
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Other
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
Depends on:
Blocks: 9306
  Show dependency treegraph
Reported: 2013-10-02 15:41 UTC by Guenther Deschner
Modified: 2013-10-08 09:36 UTC (History)
1 user (show)

See Also:
metze: review+

Patch for v4-1-test (3.21 KB, patch)
2013-10-03 15:44 UTC, Stefan Metzmacher
metze: review+
gd: review+

Note You need to log in before you can comment on or make changes to this bug.
Description Guenther Deschner 2013-10-02 15:41:50 UTC
We fail (often) to parse a krb5pac type 12 buffer due to the incomplete change which came in via a6be8a97f705247c1b1cbb0595887d8924740a71. This change came into master and has only been released in RCs so no regression to published 4.0.x releases. We should revert this for 4.1 for now until we can make it work in all cases (see work on this in https://git.samba.org/?p=gd/samba/.git;a=shortlog;h=refs/heads/master-krb5pac_type12). Without this revert the entire PAC parsing may fail which can effect serious implications (krb5 smb session setup not working).
Comment 1 Stefan Metzmacher 2013-10-02 18:15:24 UTC
This looks good for 4.1, but please push a revert patch with this description to master first, that will then cherry picked to v4-1-test and attach the patch here...
Comment 2 Andrew Bartlett 2013-10-02 18:29:34 UTC
Thanks for remembering this!
Comment 3 Stefan Metzmacher 2013-10-03 15:44:54 UTC
Created attachment 9249 [details]
Patch for v4-1-test
Comment 4 Stefan Metzmacher 2013-10-03 16:06:56 UTC
Karolin, please pick for 4.1.0
Comment 5 Karolin Seeger 2013-10-07 08:26:27 UTC
Pushed to autobuild-v4-1-test.
Comment 6 Karolin Seeger 2013-10-08 09:36:35 UTC
Pushed to v4-1-test.
Closing out bug report.